Loading...
Searching...
No Matches
Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::Implementation< true, Dummy > Struct Template Reference

Implementation that works together with direct ISTL solvers, e.g. Dune::SuperLU or Dune::UMFPack. More...

`#include <dune/istl/solver.hh>`

Inheritance diagram for Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::Implementation< true, Dummy >:

## Static Public Member Functions

static void | setMatrix (ISTLLinearSolver &solver, const BCRSMatrix &matrix)

## Detailed Description

template<typename ISTLLinearSolver, typename BCRSMatrix>
template<typename Dummy>
struct Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::Implementation< true, Dummy >

Implementation that works together with direct ISTL solvers, e.g. Dune::SuperLU or Dune::UMFPack.

## Member Function Documentation

## setMatrix()

template<typename ISTLLinearSolver, typename BCRSMatrix>
template<typename Dummy>

void Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::Implementation< true, Dummy >::setMatrix | ( | ISTLLinearSolver & | solver,
|  | const BCRSMatrix & | matrix )

inline static

The documentation for this struct was generated from the following file:

- solver.hh